package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag204;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.mt2XXAbsCreator.MT204AbsCreator;

/**
 * @Description：
 * @Author：夏猛
 * @CreateTime：2023/2/27 10:43
 **/
public class TagB72Creator extends AbsTagCreate {

    private MT204AbsCreator MT204AbsCreator;

    public TagB72Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.MT204AbsCreator = (MT204AbsCreator) absMTCreator;
    }

    public  void creator()
    {
        String tag72Value = MT204AbsCreator.getSendertoReceiverInformationB();
        MT204AbsCreator.set("72", tag72Value);
    }
}